/* LangExporting.java

	Purpose:
		
	Description:
		
	History:
		11:18 AM 2022/9/20, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Exporting menu format strings for accessibility module.
 * @author jumperchen
 * @since 10.2.1.0
 */
public class LangExporting extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		chartMenuLabel,
		menuButtonLabel
	}

	/**
	 * <p>Default: {@code "Chart menu"}
	 */
	public String getChartMenuLabel() {
		return getAttr(Attrs.chartMenuLabel, "Chart menu").asString();
	}

	public void setChartMenuLabel(String chartMenuLabel) {
		setAttr(Attrs.chartMenuLabel, chartMenuLabel);
	}

	/**
	 * <p>Default: {@code "View chart menu, {chartTitle}"}
	 */
	public String getMenuButtonLabel() {
		return getAttr(Attrs.menuButtonLabel, "View chart menu, {chartTitle}").asString();
	}

	public void setMenuButtonLabel(String menuButtonLabel) {
		setAttr(Attrs.menuButtonLabel, menuButtonLabel);
	}
}