/* LangZoom.java

	Purpose:
		
	Description:
		
	History:
		12:26 PM 2022/9/20, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Chart and map zoom accessibility language options.
 * @author jumperchen
 * @since 10.2.1.0
 */
public class LangZoom extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		mapZoomIn, mapZoomOut, resetZoomButton
	}

	/**
	 * <p>Default: {@code "Zoom chart"}
	 */
	public String getMapZoomIn() {
		return getAttr(Attrs.mapZoomIn, "Zoom chart").asString();
	}

	public void setMapZoomIn(String mapZoomIn) {
		setAttr(Attrs.mapZoomIn, mapZoomIn);
	}

	/**
	 * <p>Default: {@code "mapZoomOut"}
	 */
	public String getMapZoomOut() {
		return getAttr(Attrs.mapZoomOut, "Zoom out chart").asString();
	}

	public void setMapZoomOut(String mapZoomOut) {
		setAttr(Attrs.mapZoomOut, mapZoomOut);
	}

	/**
	 * <p>Default: {@code "Reset zoom"}
	 */
	public String getResetZoomButton() {
		return getAttr(Attrs.resetZoomButton, "Reset zoom").asString();
	}

	public void setResetZoomButton(String resetZoomButton) {
		setAttr(Attrs.resetZoomButton, resetZoomButton);
	}
}
