/* PackedBubbleParentNode.java

	Purpose:
		
	Description:
		
	History:
		11:09 AM 2022/9/13, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.plotOptions;

import org.zkoss.chart.Optionable;
import org.zkoss.chart.PlotAttribute;
import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Series options for parent nodes for packedbubble.
 * @author jumperchen
 * @since 10.2.1.0
 */
public class PackedBubbleParentNode extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		allowPointSelect
	}

	/**
	 * Allow this series' parent nodes to be selected by clicking on the graph.
	 * <p>Default: {@code false}
	 */
	public boolean isAllowPointSelect() {
		return  getAttr(Attrs.allowPointSelect, false).asBoolean();
	}

	/**
	 * Allow this series' parent nodes to be selected by clicking on the graph.
	 * <p>Default: {@code false}
	 */
	public void setAllowPointSelect(boolean allowPointSelect) {
		setAttr(Attrs.allowPointSelect, allowPointSelect);
	}
}
