/* Utils.java

	Purpose:
		
	Description:
		
	History:
		4:21 PM 2022/9/15, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.wpd;

import static org.zkoss.web.servlet.Servlets.getResource;

import java.io.IOException;

import org.zkoss.io.Files;
import org.zkoss.lang.Library;
import org.zkoss.zk.ui.Executions;
import org.zkoss.zk.ui.WebApp;
import org.zkoss.zk.ui.WebApps;

/**
 * A collection of utilities for ZK WPD extension.
 * @author jumperchen
 * @since 10.2.1.0
 */
public class Utils {
	/**
	 * Generates JS module when the given {@code libraryKey} is enabled in {@link org.zkoss.lang.Library}.
	 *
	 * @param src The module path
	 * @param libraryKey The key of the enabled module in {@code Library.getProperty()}.
	 */
	public static final String outJSModules(String src, String libraryKey)
			throws IOException {
		if (Boolean.parseBoolean(Library.getProperty(libraryKey, "false"))) {
			return new String(Files.readAll(getResource(WebApps.getCurrent()
					.getServletContext(), src).openStream())) + "\n";
		}
		return "";
	}
}
